OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DerivedUnit Class Reference

Added from StepBasic Rev2 to Rev4
.

`#include <StepBasic_DerivedUnit.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_DerivedUnit ()
Standard_EXPORT void | Init (const Handle(StepBasic_HArray1OfDerivedUnitElement)&elements)
Standard_EXPORT void | SetElements (const Handle(StepBasic_HArray1OfDerivedUnitElement)&elements)
Standard_EXPORT Handle_StepBasic_HArray1OfDerivedUnitElement | Elements () const
Standard_EXPORT Standard_Integer | NbElements () const
Standard_EXPORT Handle_StepBasic_DerivedUnitElement | ElementsValue (const Standard_Integer num) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_HArray1OfDerivedUnitElement | theElements

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DerivedUnit::StepBasic_DerivedUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_HArray1OfDerivedUnitElement StepBasic_DerivedUnit::Elements | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_DerivedUnitElement StepBasic_DerivedUnit::ElementsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepBasic_DerivedUnit::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_DerivedUnit::Init | ( | const Handle(StepBasic_HArray1OfDerivedUnitElement)& | elements | ) |

Standard_EXPORT Standard_Integer StepBasic_DerivedUnit::NbElements | ( |  | ) | const

Standard_EXPORT void StepBasic_DerivedUnit::SetElements | ( | const Handle(StepBasic_HArray1OfDerivedUnitElement)& | elements | ) |

## Field Documentation

Handle_StepBasic_HArray1OfDerivedUnitElement StepBasic_DerivedUnit::theElements`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DerivedUnit.hxx